Add New Section to a Policy

POST /pcas/v3/policy/section/

With this API, you can add sections within a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to add a section.
sectionHeading={value} Required Integer Specify a title for the section to be added for the policy.

Sample - Add a new section to a policySample - Add a new section to a policy

API Request

curl -X 'POST' \
<qualys_base_url>/pcas/v3/policy/section' \
-H 'accept: application/json' \
-H 'Authorization: Bearer 'Auth_Token'\
-H 'Content-Type: application/json' \
-d '{"policyId": 5656121,"sectionHeading": "section 6"
}'

XML Output

{
 "sectionNumber": 2,
 "sectionHeading": "section 6",
 "controls": []
}


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.